/** 

@file rob_interface.i 

SWIG interface for relativeobservability plugin. The relative observability plugin 
defines functions only, hence, actual bindings will be generated
from rti data base.

See the luabindings README for more documentation. 
 
**/


/*
**************************************************
**************************************************
**************************************************

RelativeObservability interface preface

**************************************************
**************************************************
**************************************************
*/

// Set SWIG module name
// Note: must match libFAUDES plugin name
%module relativeobservability


// Indicate plugin to rti function definitions
#ifndef SwigModule
#define SwigModule "SwigRelativeObservability"
#endif

// Load std faudes interface
%include "faudesmodule.i"

// Extra Lua functions: copy to faudes name space
%luacode {
-- Copy relativeobservability to faudes name space
for k,v in pairs(relativeobservability) do faudes[k]=v end
}


/*
**************************************************
**************************************************
**************************************************

RelativeObservability interface: plugin function(s)

**************************************************
**************************************************
**************************************************
*/

// Add topic to mini help system
SwigHelpTopic("RelativeObservability","RelativeObservability Plugin");


// Explicit interface to my one and only function
// ... this is now done via the faudes rti.

// Tell SWIG about my function
// Add entry to help system	       

// Include rti generated functioninterface 
#if SwigModule=="SwigRelativeObservability"
%include "../../../include/rtiautoload.i"
#endif
