faudes.MakeGlobal()

-- read generators from files
h1 = Generator()
h1:Read("data/obs_h1.gen")
h2 = Generator()
h2:Read("data/obs_h2.gen")
h2:GraphWrite("data/obs_h2.png")
g = Generator()
g:Read("data/obs_g.gen")

-- read observable and controlable event sets from files
obsEvents1 = EventSet()
obsEvents1:Read("data/obs_obs_events1.alph")
obsEvents2 = EventSet()
obsEvents2:Read("data/obs_obs_events2.alph")
conEvents1 = EventSet()
conEvents1:Read("data/obs_con_events1.alph")
conEvents2 = EventSet()
conEvents2:Read("data/obs_con_events2.alph")

-- now we test if K1 is observable with respect to M, Eo1 and Ec1
-- L(G) = M, L(H1) = prefix-closure(K1)
-- Eo1 - observable events - obsEvents1
-- Ec1 - controlable events - conEvents1

if (isObservable(h1, g, obsEvents1, conEvents1))
	then print("Language K1 is observable w.r.t. M, Eo1 and Ec1!")
    	else print("Language K1 is not observable w.r.t. M, Eo1 and Ec1!")
end

-- now we test if K2 is observable with respect to M, Eo2 and Ec2
-- we also construct  generator ObsTest(H2, G),
-- which records all violations of observability
-- L(G) = M, L(H2) = prefix-closure(K2)
-- Eo2 - observable events - obsEvents2
-- Ec2 - controlable events - conEvents2

obsTest = Generator();
if (isObservable(h2, g, obsEvents2, conEvents2))
	then print("Language K2 is observable w.r.t. M, Eo2 and Ec2!")
	else print("Language K2 is not observable w.r.t. M, Eo2 and Ec2!")
end
if (isObservable(h2, g, obsTest, obsEvents2, conEvents2))
	then print("Language K2 is observable w.r.t. M, Eo2 and Ec2!")
	else print("Language K2 is not observable w.r.t. M, Eo2 and Ec2!")
end

-- now we can further work with ObsTest(H2,G), e.g. print it
obsTest:Write();
