faudes.MakeGlobal()

-- read generators from files
g = Generator()
g:Read("data/rel_obs_g.gen")
a = Generator()
a:Read("data/rel_obs_a.gen")
h = Generator()
h:Read("data/rel_obs_h.gen")

-- read the set of observable events from file
obsEvents = EventSet()
obsEvents:Read("data/rel_obs_obs_events.alph")

-- now we test if K is realtively observable w.r.t. prefix-closure(C),
-- G and Po.
-- Po is natural projection: E* -> Eo. Eo = obsEvents - set of observable events
-- Lm(A) = C, Lm(H) = K
if (isRelativelyObservable(g, a, h, obsEvents))
	then print("Language K is relatively observable w.r.t. prefix-closure(C), G and Po!") 		else print("Language K is not relatively observable w.r.t. prefix-closure(C), G and Po!")
end

-- now we compute the supremal relatively observable sublanguage w.r.t. prefix-closure(C),
-- G and Po; funtcion returns ita as output generator parameter
-- inputs are the same as in example above

supRelObsLan = Generator()
supRelativelyObservable(g, a, h, supRelObsLan, obsEvents)

-- now we can further work with generator representing the supremal language, e.g. print it
supRelObsLan:Write()
